$(document).ready(function () {

    $("#txtcheckNum").val("yes");
    $("#ddlBank").val("-1");
});
function  getdata()
{


    if (document.getElementById("paytype1").checked)
    {
        document.getElementById("savedata").style.display = "block";
        document.getElementById("checkdata").style.display = "none";
        document.getElementById("supData").style.display = "none"
    } else if (document.getElementById("paytype2").checked) {
        document.getElementById("savedata").style.display = "none";
        document.getElementById("checkdata").style.display = "block";
        //document.getElementById("supData").style.display="none"

        document.getElementById("txtAmount").value = document.getElementById("assetprice").value;
        $("#txtcheckNum").val("");
        $("#ddlBank").val("");
    } else
    {
        document.getElementById("savedata").style.display = "none";
        document.getElementById("supData").style.display = "block";
        //document.getElementById("checkdata").style.display="none";

        document.getElementById("txtAmount").value = document.getElementById("assetprice").value;
        $("#txtcheckNum").val("");
        $("#ddlBank").val("");
        submitform();
    }



}



function load1()
{
    //alert('in fun');

    $('#sss').html('<img src="images/loader.gif/>');
    $('#sss').load('getallaccountajax.php?do=bank&bankid=' + document.getElementById('ddlBank').value);
}

$('#pay-form-supp').on('submit', function (e) {

    var flag = submitform();
    if (flag) {
        return true;
    } else {
        e.stopPropagation();
        e.preventDefault();
        return false;
    }
});

// elemam 
// $('#pay-form').on('submit', function (e) {

//     var flag = submitform();
//     if (flag) {
//         return true;
//     } else {
//         e.stopPropagation();
//         e.preventDefault();
//         return false;
//     }
// });

function submitform()
{

    var flag = 1;
    var txtAmount = Number(document.getElementById("txtAmount").value);

    var assetprice = 0;//Number(document.getElementById("assetprice").value);
    //paytype1
    if (document.getElementById("paytype1").checked)
    {
        var savebefor = Number(document.getElementById("savebefor").value);
        if (savebefor < assetprice)
        {
            alert('عفوا القيمه المبلغ الموجود بالخزنه  لا يكفى');
            document.getElementById("assetprice").value = savebefor;
            flag = 0;
        }

    }

    //paytype2
    else if (document.getElementById("paytype2").checked == true)
    {

        //document.getElementById("txtAmount").value = document.getElementById("assetprice").value;
        //alert('dddd');
        if (document.getElementById("accountbeginingbalanceDis").value > 0)
        {
            var accountbeginingbalanceDis = Number(document.getElementById("accountbeginingbalanceDis").value);
            var txtAmount = Number(document.getElementById("txtAmount").value);
            if (accountbeginingbalanceDis < txtAmount)
            {
                alert('عفوا القيمه المبلغ الموجود بالحساب  لا يكفى');
//                document.getElementById("txtAmount").value = accountbeginingbalanceDis;
//                document.getElementById("assetprice").value = accountbeginingbalanceDis;
                flag = 0;
            }

        } else
        {

            alert('من فضلك اختر البنك والحساب لكى يتم  تحديد المبلغ المتاح');
            flag = 0;
        }


    }


    //paytype3
    else if (document.getElementById("paytype3").checked == true)
    {

        document.getElementById("txtAmount").value = document.getElementById("assetprice").value;
        //alert('dddd');
        if (document.getElementById("accountbeginingbalanceDis").value > 0)
        {
            var accountbeginingbalanceDis = document.getElementById("accountbeginingbalanceDis").value;
            if (accountbeginingbalanceDis < assetprice)
            {
                alert('عفوا القيمه المبلغ الموجود بالحساب  لا يكفى');
                document.getElementById("txtAmount").value = accountbeginingbalanceDis;
                document.getElementById("assetprice").value = accountbeginingbalanceDis;
                flag = 0;
            }

        } else
        {

            alert('من فضلك اختر البنك والحساب لكى يتم  تحديد المبلغ المتاح');
            flag = 0;
        }


    }
    return flag;
}



function load2() {

    $('#ddd').html('<img src="images/loader.gif/>');
    $('#ddd').load('getallaccountajax.php?do=account&accountid=' + document.getElementById('accountid').value);
    var id1 = document.getElementById('accountid').value;
    document.getElementById("accountid1").value = id1;
    //alert (document.getElementById("accountid1").value);
}

$('#clibtn').live('click', function (e) {
    var clientNum = $('#clientNum').val();
    var clientNum2 = $('#clientNum2').val();
    var bankName = $('#bankName').val();
    var ddlBank = $('#ddlBank').val();
    var accountNo = $('#accountNo').val();
    var checkValue = $('#checkValue').val();
    var checkNo = $('#checkNo').val();
    var dueDate = $('#dueDate').val();
    var save = $('#ddlsave').val();
    bankName = bankName.trim();
    if (clientNum == -1) {
        $('#clientrError').show();
        $('#clientrError').html("<p style='color: #CC3333;border: 1px solid #CC3333;width: 71px;'> *اختر مورد</p> ");
    } else if (clientNum2 == -1) {
        $('#clientrError').show();
        $('#clientrError').html("<p style='color: #CC3333;border: 1px solid #CC3333;width: 71px;'> *اختر عميل</p> ");
    } else if (bankName == '' && ddlBank < 1) {
        $('#clientrError').hide();
        $('#bankError').show();
        $('#bankError').html("<p style='color: #CC3333;border: 1px solid #CC3333;width: 110px;'> *ادخل اسم البنك</p> ");
    } else if (save == -1) {
        $('#clientrError').hide();
        $('#bankError').hide();
        $('#saveError').show();
        $('#saveError').html("<p style='color: #CC3333;border: 1px solid #CC3333;width: 110px;'> *ادخل اسم الخزنة</p> ");
    } else if (accountNo == '') {
        $('#clientrError').hide();
        $('#bankError').hide();
        $('#accountError').show();
        $('#accountError').html("<p style='color: #CC3333;border: 1px solid #CC3333;width: 110px;'> *ادخل رقم الحساب</p> ");
    } else if (checkValue == '') {
        $('#clientrError').hide();
        $('#bankError').hide();
        $('#accountError').hide();
        $('#chkValError').show();
        $('#chkValError').html("<p style='color: #CC3333;border: 1px solid #CC3333;width: 110px;'> *ادخل قيمة الشيك</p> ");
    } else if (checkNo == '') {
        $('#clientrError').hide();
        $('#bankError').hide();
        $('#accountError').hide();
        $('#chkValError').hide();
        $('#chkNoError').show();
        $('#chkNoError').html("<p style='color: #CC3333;border: 1px solid #CC3333;width: 110px;'> *ادخل رقم الشيك</p> ");
    } else if (dueDate == '') {
        $('#clientrError').hide();
        $('#bankError').hide();
        $('#accountError').hide();
        $('#chkValError').hide();
        $('#chkNoError').hide();
        $('#dateError').show();
        $('#dateError').html("<p style='color: #CC3333;border: 1px solid #CC3333;width: 129px;'> *اختر  تاريخ  الاستحقاق</p> ");
    } else {
        $.post('datedCheckedAjaxController.php?do=checkByAccAndChkNo', {accountNo: accountNo, checkNo: checkNo}, function (data) {
            if (data == -1) {
                $('#clientrError').hide();
                $('#bankError').hide();
                $('#accountError').hide();
                $('#chkValError').hide();
                $('#dateError').hide();
                $('#chkNoError').show();
                $('#chkNoError').html("<p style='color: #CC3333;border: 1px solid #CC3333;width: 244px;'> *    تم ادخال هذا الرقم مع هذا الحساب من قبل</p> ");
            } else if (data == 0) {
                $('#chkNoError').hide();
                $('#myform').submit();
                $('#clibtn').attr("disabled", true);
            }
        });
    }
});
$('#delbtn').live('click', function (e) {
    var id = $(this).data('id');
    var paper = $(this).data('paper');
    $('#modelForm').attr('action', $('#modelForm').data('action') + id);
    $('#iddeleted').val(id);
    $('#paper').val(paper);
    $('#myModal1').modal('show');
});
$('#modalYes').live('click', function (e) {
    $('#myModal1').modal('hide');
    $('#modelForm').submit();
});

fetch_data();
function fetch_data()
{

    var myformData = new FormData($('form#searchdata')[0]);
    var showajaxlink = $("#getajaxdata").attr('data-controll');
    var dataTable = $('#getajaxdata').DataTable({
        "processing": true,
        "serverSide": true,
        "lengthMenu" : [[100, 200, 300, 400, 500, -1],[100, 200, 300, 400, 500, "All"] ],
            dom: 'Bfrtip',
            buttons: [
                {
                    extend: 'copyHtml5',
                    exportOptions: {
                         columns: [ 1, 2, 3, 4, 5, 6 , 7 ]
                    }
                },
                {
                    extend: 'csvHtml5',
                    exportOptions: {
                         columns: [ 1, 2, 3, 4, 5, 6 , 7 ]
                    }
                },
                {
                    extend: 'print',
                    exportOptions: {
                         columns: [ 1, 2, 3, 4, 5, 6 , 7 ]
                    }
                },
                {
                    extend: 'excelHtml5',
                    exportOptions: {
                         columns: [ 1, 2, 3, 4, 5, 6 , 7 ]
                    }
                },
                {
                    extend: 'pdfHtml5',
                    exportOptions: {
                        columns: [ 1, 2, 3, 4, 5, 6 , 7 ]
                    }
                },
                'colvis'
            ],
        "dom": "<'row' <'col-md-12'B>><'row'<'col-md-6 col-sm-12'l><'col-md-6 col-sm-12'f>r><'table-scrollable't><'row'<'col-md-5 col-sm-12'i><'col-md-7 col-sm-12'p>>" ,
        "order": [[0, "desc"]],
        "displayLength": 100,
        "columnDefs": [
            {"className": "dt-center", "targets": "_all"}
          ],
        "ajax" : {
            url: showajaxlink,
            type: 'POST',
            data: function(data){
                myformData.append('ordercol', data.order[0].column);
                myformData.append('orderdir', data.order[0].dir);
                myformData.append('searchval', data.search.value);
                return Object.fromEntries(myformData);
            }
            
          

          
        },
    //     "fnRowCallback": function( nRow, aData, iDisplayIndex, iDisplayIndexFull ) {

    //     switch(aData['country_id']){
    //         case 1:
    //             $('td', nRow).css('background-color', '#dacfcf')
    //             break;
    //     }
    // }

        "rowCallback": function( row, data, index ) {
            var paperType = data[data.length-1];
            var dane = data[data.length-2];
                if ( paperType == 1  && dane == 1){
                     $('td', row).css('background-color', '#7ff8ff')
                }else if (dane == 2){
                      $(row).addClass('danger');
                }else if (dane == 3){
                      $('td', row).css('background-color', '#83cae4')
                }else if (dane == 1){
                   $('td', row).css('background-color', '#99FFCC')
                     
                }else{
                }
        }
    });
    $('.group-checkable', "#getajaxdata").change(function () {
        var set = $("#getajaxdata").find('tbody > tr > td:nth-child(1) input[type="checkbox"]');
        var checked = $(this).prop("checked");
        $(set).each(function () {
            $(this).prop("checked", checked);
        });
    });
}

$('body').on('change', '.searchdata', function () {
    $('#getajaxdata').DataTable().destroy();
    fetch_data();
});
/*function supLoad()
 {

 $('#sss').html('<img src="images/loader.gif/>');
 $('#sss').load('getallaccountajax.php?do=supplier&supID='+document.getElementById('supName').value);

 alert('getallaccountajax.php?do=supplier&supID='+document.getElementById('supName').value);
 //var supID = document.getElementById('supName').value;
 //alert(supID);
 //document.getElementById('suppliercurrentDebt').value = supID;
 }



 /*
 function suppliercurrentDebt(supID)
 {
 var supID = document.getElementById('supName').value;
 alert(supID);


 alert('getallaccountajax.php?do=getsuppliercurrentDebt&supID='+supID);


 $.ajax({
 type: 'POST',
 url: 'getallaccountajax.php?do=getsuppliercurrentDebt&supID='+supID,
 success: function(data)
 {
 // alert(data);
 // if (data <= 0)
 {
 $("#workersNo1").val(data);
 //$('#storemodel').modal('show');
 }
 }
 });

 }

 */

$('#sellBtn').live('click', function (e) {

    var supplier = $('#supplierID').val();
    if (supplier == '-1') {
        $('#suppError').show();
        $('#suppError').html("<p style='color: #CC3333;border: 1px solid #CC3333;width: 69px;'>***</p>");
    } else {
        $('#suppError').hide();
        $('#mySellForm').submit();
        $('#sellBtn').attr("disabled", true);
    }
});


